#include <Cocoa/Cocoa.h>
#include <string>

namespace osx {

std::string GetApplicationSupportDirectory() {
	NSArray* strings = NSSearchPathForDirectoriesInDomains(NSApplicationSupportDirectory, NSUserDomainMask, true);
	return std::string([[strings objectAtIndex:0] UTF8String]);
}

} // namespace osx
